Bug 166444 - No sound on Dell Dimension 5100
No sound on Dell Dimension 5100
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-21 12:03 EDT by Dave Cross
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-13 02:54:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Cross 2005-08-21 12:03:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
Running 'system-config-soundcard' on my Dell Dimension 5100 detects the onboard sound system which it describes as 'Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller' with a suggested driver of 'snd-hda-intel'. But I get no sounds out of the speakers.

lspci -v says this (just the sound controller section):

00:1b.0 Class 0403: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)
        Subsystem: Dell: Unknown device 01ab
        Flags: bus master, fast devsel, latency 0, IRQ 169
        Memory at efebc000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
        Capabilities: [60] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
        Capabilities: [70] Express Unknown type IRQ 0
        Capabilities: [100] Virtual Channel
        Capabilities: [130] Unknown (5)

lspci -n says this:

00:00.0 Class 0600: 8086:2770 (rev 02)
00:01.0 Class 0604: 8086:2771 (rev 02)
00:02.0 Class 0300: 8086:2772 (rev 02)
00:02.1 Class 0380: 8086:2776 (rev 02)
00:1b.0 Class 0403: 8086:27d8 (rev 01)
00:1c.0 Class 0604: 8086:27d0 (rev 01)
00:1d.0 Class 0c03: 8086:27c8 (rev 01)
00:1d.1 Class 0c03: 8086:27c9 (rev 01)
00:1d.2 Class 0c03: 8086:27ca (rev 01)
00:1d.3 Class 0c03: 8086:27cb (rev 01)
00:1d.7 Class 0c03: 8086:27cc (rev 01)
00:1e.0 Class 0604: 8086:244e (rev e1)
00:1f.0 Class 0601: 8086:27b8 (rev 01)
00:1f.1 Class 0101: 8086:27df (rev 01)
00:1f.2 Class 0101: 8086:27c0 (rev 01)
00:1f.3 Class 0c05: 8086:27da (rev 01)
03:02.0 Class 0280: 1260:3873 (rev 01)
03:03.0 Class 0703: 8086:1080 (rev 04)
03:08.0 Class 0200: 8086:27dc (rev 01)

lsmod says this:

Module                  Size  Used by
parport_pc             31621  0
lp                     16585  0
parport                39049  2 parport_pc,lp
autofs4                22725  2
rfcomm                 46041  0
l2cap                  33857  5 rfcomm
bluetooth              56645  4 rfcomm,l2cap
sunrpc                139781  1
video                  19909  0
button                 10577  0
battery                13381  0
ac                      8773  0
md5                     8001  1
ipv6                  265601  22
joydev                 13569  0
uhci_hcd               35409  0
ehci_hcd               38093  0
hw_random               9557  0
i2c_i801               12621  0
i2c_core               25409  1 i2c_i801
snd_hda_intel          20128  1
snd_hda_codec          58433  1 snd_hda_intel
snd_seq_dummy           7621  0
snd_seq_oss            35777  0
snd_seq_midi_event     11585  1 snd_seq_oss
snd_seq                54097  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device         12621  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            54257  0
snd_mixer_oss          21953  2 snd_pcm_oss
snd_pcm                91973  3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd_timer              28357  2 snd_seq,snd_pcm
snd                    58149  9 snd_hda_intel,snd_hda_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore              13345  2 snd
snd_page_alloc         13765  2 snd_hda_intel,snd_pcm
e100                   41153  0
mii                     9409  1 e100
orinoco_pci            11981  0
orinoco                45013  1 orinoco_pci
hermes                 11201  2 orinoco_pci,orinoco
floppy                 62421  0
dm_snapshot            21349  0
dm_zero                 6081  0
dm_mirror              26013  0
ext3                  133193  2
jbd                    61913  1 ext3
dm_mod                 59749  6 dm_snapshot,dm_zero,dm_mirror
ata_piix               13381  2
libata                 49349  1 ata_piix
sd_mod                 22977  3
scsi_mod              136329  2 libata,sd_mod

And modprobe.conf says this:

alias scsi_hostadapter ata_piix
alias snd-card-0 snd-hda-intel
options snd-card-0 index=0
options snd-hda-intel index=0
remove snd-hda-intel { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; }; /sbin/modprobe -r --ignore-remove snd-hda-intel
alias usb-controller ehci-hcd
alias usb-controller1 uhci-hcd
alias eth1 e100
alias eth0 orinoco_pci

This is on FC4 with kernel-2.6.12-1.1398_FC4.

When I run 'alsamixer' (or the GUI version) I only see one channel which is labeled 'PCM' and is set at 70% and is not muted. There are no other channels visible.

Is there any further information you need to help diagnose the problem?


Version-Release number of selected component (if applicable):
alsa-lib-1.0.9rf-2.FC4 alsa-tools-1.0.9-1.fc4 alsa-utils-1.0.9rf-2.FC4

How reproducible:
Always

Steps to Reproduce:
1. Run 'system-confog-soundcard'
2. Press 'Play test sound button'
  

Actual Results:  No sound was heard.

Expected Results:  A sound should be heard.

Additional info:
Comment 1 Martin Stransky 2005-08-22 09:51:18 EDT
Could you check the snd_intel8x0 driver?
Comment 2 Dave Cross 2005-08-22 10:00:47 EDT
Apologies for sounding stupid, but can you please explain what you mean by
checking the snd_intel8x0 driver. I'm afraid I know very little about the Linux
module system or Alsa.

Thanks,

Dave...
Comment 3 Martin Stransky 2005-08-22 11:03:12 EDT
No problem, do these:

# modprobe -r snd-hda-intel
# modprobe snd-intel8x0
# alsamixer and adjust some playback channels (PCM, Master and so on...) and
check sound by xmms, aplay or similar...
 
Comment 4 Dave Cross 2005-08-22 13:58:49 EDT
# modprobe -r snd-hda-intel
FATAL: Module snd_hda_intel is in use.
FATAL: Error running remove command for snd_hda_intel
#

I thought it was probably pointless after that, but I went on and loaded
snd_intel8x0 anyway. It didn't make any difference. I still only have one
control in alsamixer (labeled 'PCM') and there's still no sound.

Dave...
Comment 5 Martin Stransky 2005-08-23 07:36:32 EDT
Some application uses this snd-hda-intel driver, you may have to close all 
applications that use audio (like mixers, players, KDE arts daemon and so on).
Or you can try to switch to runlevel 3:

#init 3

and unload the snd-hda-intel driver...
Comment 6 Dave Cross 2005-08-23 15:24:11 EDT
It was the gnome volume control applet that had the device open. I killed that
and was able to remove snd-hda-intel and load snd-intel8x0.

Then trying to run alsamixer I get the error:

$ alsamixer

alsamixer: function snd_ctl_open failed for default: No such file or directory

And I can't run any program that needs a sounds device. I get errors saying that
the soundcard is incorrectly configured or missing.

Thanks for you help so far.

Dave...
Comment 7 Martin Stransky 2005-08-24 06:47:12 EDT
Using the latest kernel from devel may help you, it has the latest alsa-drivers...
Comment 8 Dave Cross 2005-08-29 12:04:54 EDT
I've just installed a new version of the kernel thru yum. I'm now running
2.6.12-1.1447_FC4smp. And I'm still getting the same problems. Did you have an
even newer version in mind?

Dave...
Comment 9 Martin Stransky 2005-08-30 08:08:06 EDT
I thought a kernel from devel branch, it's kernel-2.6.13-1.1526_FC5
It's here:
http://download.fedora.redhat.com/pub/fedora/linux/core/development/SRPMS/kernel-2.6.13-1.1526_FC5.src.rpm
Comment 10 Bart Janssens 2005-08-30 12:34:08 EDT
I had exactly the same problem on my dell dimension, and with alsa 1.0.10rc1 
sound works using the hda-intel driver. 
 
Bart 
Comment 11 Dave Cross 2005-08-31 05:10:43 EDT
Bart,

That's encouraging news. I'll try that as soon as I can.

The .bz2 packages on the Alsa web site aren't in one-to-one correspondence with
the Fedora rpms. Which packages did you download and build? Are there any
gotchas that I need to be aware of?

Thanks,

Dave...
Comment 12 Dave Cross 2005-09-01 15:53:00 EDT
Happy to report that installing alsa-drivers 1.0.10rc1 also worked for me.

Thanks everyone for your help.

Dave...
Comment 13 Martin Stransky 2005-09-13 02:54:30 EDT
I hope 1.0.10 will be in new FC...

Note You need to log in before you can comment on or make changes to this bug.